%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}
%define __debug_install_post %{_mingw32_debug_install_post}

Name:           mingw32-opensc
Version:        0.11.13
Release:        1%{?dist}
Summary:        MingGW Windows OpenSC library

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://www.opensc-project.org/opensc/
Source0:        http://www.opensc-project.org/files/opensc/opensc-%{version}.tar.gz
Patch1:         opensc-0.11.7-develconfig.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 53
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-iconv
BuildRequires:  mingw32-libltdl
BuildRequires:  mingw32-openssl
BuildRequires:  mingw32-readline

Requires:       pkgconfig

%description
OpenSC is a package for for accessing smart card devices.  Basic
functionality (e.g. SELECT FILE, READ BINARY) should work on any ISO
7816-4 compatible smart card.  Encryption and decryption using private
keys on the smart card is possible with PKCS #15 compatible cards,
such as the FINEID (Finnish Electronic IDentity) card.  Swedish Posten
eID cards have also been confirmed to work.

This is the MinGW cross-compiled Windows library.


%{?_mingw32_debug_package}


%prep
%setup -q -n opensc-%{version}
%patch1 -p1 -b .config

sed -i -e 's|"/lib /usr/lib\b|"%{_mingw32_libdir}|' configure
sed -i -e 's|/usr/local/towitoko/lib/|%{_mingw32_libdir}/ctapi/|' etc/opensc.conf.in


%build
%{_mingw32_configure}  --disable-static \
  --enable-pcsc \
  --enable-iconv
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -Dpm 644 etc/opensc.conf $RPM_BUILD_ROOT%{_mingw32_sysconfdir}/opensc.conf

# Remove docs which duplicate the ones in native package
rm -rf $RPM_BUILD_ROOT%{_mingw32_datadir}/doc/opensc

# Remove a wrapper shell script
rm -f $RPM_BUILD_ROOT%{_mingw32_bindir}/cardos-info


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%config(noreplace) %{_mingw32_sysconfdir}/opensc.conf

%{_mingw32_bindir}/cardos-info.bat
%{_mingw32_bindir}/cardos-tool.exe
%{_mingw32_bindir}/cryptoflex-tool.exe
%{_mingw32_bindir}/eidenv.exe
%{_mingw32_bindir}/netkey-tool.exe
%{_mingw32_bindir}/opensc-config
%{_mingw32_bindir}/opensc-explorer.exe
%{_mingw32_bindir}/opensc-tool.exe
%{_mingw32_bindir}/piv-tool.exe
%{_mingw32_bindir}/pkcs11-tool.exe
%{_mingw32_bindir}/pkcs15-crypt.exe
%{_mingw32_bindir}/pkcs15-init.exe
%{_mingw32_bindir}/pkcs15-tool.exe
%{_mingw32_bindir}/rutoken-tool.exe
%{_mingw32_bindir}/westcos-tool.exe

%{_mingw32_bindir}/libopensc-2.dll
%{_mingw32_bindir}/libpkcs15init-2.dll
%{_mingw32_bindir}/libscconf-2.dll
%{_mingw32_bindir}/onepin-opensc-pkcs11.dll
%{_mingw32_bindir}/opensc-pkcs11.dll
%{_mingw32_bindir}/pkcs11-spy.dll

%{_mingw32_libdir}/libopensc-2.dll.def
%{_mingw32_libdir}/libopensc.dll.a
%{_mingw32_libdir}/libopensc.la
%{_mingw32_libdir}/libpkcs15init-2.dll.def
%{_mingw32_libdir}/libpkcs15init.dll.a
%{_mingw32_libdir}/libpkcs15init.la
%{_mingw32_libdir}/libscconf.dll.a
%{_mingw32_libdir}/libscconf.la
%{_mingw32_libdir}/onepin-opensc-pkcs11.dll.a
%{_mingw32_libdir}/onepin-opensc-pkcs11.la
%{_mingw32_libdir}/opensc-pkcs11.dll.a
%{_mingw32_libdir}/opensc-pkcs11.la
%{_mingw32_libdir}/pkcs11-spy.dll.a
%{_mingw32_libdir}/pkcs11-spy.la

%{_mingw32_includedir}/opensc/
%{_mingw32_libdir}/pkgconfig/lib*.pc
%{_mingw32_datadir}/opensc/
%{_mingw32_sbindir}/opensc-install.bat


%changelog
* Mon Mar 01 2010 Kalev Lember <kalev@smartlink.ee> - 0.11.13-1
- Update to 0.11.13

* Tue Jan 19 2010 Kalev Lember <kalev@smartlink.ee> - 0.11.12-1
- Update to 0.11.12
- Expand %%_mingw32_debug_package macro to nothing if not defined

* Sat Jan 02 2010 Kalev Lember <kalev@smartlink.ee> - 0.11.11-2
- Rebuilt with new mingw32-libltdl

* Sun Nov 22 2009 Kalev Lember <kalev@smartlink.ee> - 0.11.11-1
- Update to 0.11.11

* Fri Sep 18 2009 Kalev Lember <kalev@smartlink.ee> - 0.11.9-1
- Update to 0.11.9
- Removed docs which duplicate the ones in native package
- Spec file cleanups

* Sun Aug 30 2009 Kalev Lember <kalev@smartlink.ee> - 0.11.8-4
- Rebuilt with new mingw32-openssl

* Sun Aug 23 2009 Kalev Lember <kalev@smartlink.ee> - 0.11.8-3
- Automatically generate debuginfo subpackage

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 13 2009 Kalev Lember <kalev@smartlink.ee> - 0.11.8-1
- Update to 0.11.8, fixes a security issue.
- Remove iconv detection patch that was applied upstream.

* Fri Apr 17 2009 Kalev Lember <kalev@smartlink.ee> - 0.11.7-3
- Replace %%define with %%global.

* Mon Mar 23 2009 Kalev Lember <kalev@smartlink.ee> - 0.11.7-2
- Include *.la files in the rpm.
- Patch configure.ac to fix iconv detection.

* Mon Mar 23 2009 Kalev Lember <kalev@smartlink.ee> - 0.11.7-1
- Initial RPM release.
